Package org.apache.commons.compress.harmony.unpack200

# Class AttributeLayoutMap

java.lang.Object
org.apache.commons.compress.harmony.unpack200.AttributeLayoutMap

public class AttributeLayoutMap extends Object
Stores a mapping from attribute names to their corresponding layout types. Note that names of attribute layouts and their formats are not internationalized, and should not be translated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeLayoutMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(AttributeLayout layout)`
  `void`
  `add(AttributeLayout layout, NewAttributeBands newBands)`
  `void`
  `checkMap()`
  The map should not contain the same layout and name combination more than once for each context.
  `NewAttributeBands`
  `getAttributeBands(AttributeLayout layout)`
  `AttributeLayout`
  `getAttributeLayout(int index, int context)`
  `AttributeLayout`
  `getAttributeLayout(String name, int context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttributeLayoutMap

    public AttributeLayoutMap() throws Pack200Exception
    Throws:
      `Pack200Exception`

- ## Method Details

  - ### add

    public void add(AttributeLayout layout)

  - ### add

    public void add(AttributeLayout layout, NewAttributeBands newBands)

  - ### checkMap

    public void checkMap() throws Pack200Exception
    The map should not contain the same layout and name combination more than once for each context.
    Throws:
      `Pack200Exception` - Thrown when the name layout/name combination exists twice for a context.

  - ### getAttributeBands

    public NewAttributeBands getAttributeBands(AttributeLayout layout)

  - ### getAttributeLayout

    public AttributeLayout getAttributeLayout(int index, int context)

  - ### getAttributeLayout

    public AttributeLayout getAttributeLayout(String name, int context)